Skip to content

Reply to a comment on a post in the feed

Request

Upon enabling expanded reactions types, the response will include the additional reaction types.

When a comment with user mentions is returned, it will be returned with those mentions in the format of either {ref:user:<user_id>} or {ref:user::id:<user_id>}. You can parse out the user_id and then look up the user and transform the mention metadata to the display_name/name of the referenced user.

Security
oauth2_as_a_user(Required scopes: feeds.engage)
Path
content_idintegerrequired

ID or UUID of the content post

comment_idinteger or stringrequired
One of:

ID or UUID of the comment to reply to

integer
post_numberintegerrequired

post_number of the comment to reply to

Bodyapplication/json

Comment data

bodystringrequired

Comment body

Example:"This a reply to a comment."
author_alias_idinteger or null

Optional id of an alias to post this reply as (see GET /v2/comment_aliases). The alias can only be set at creation time.

Example:1
attachmentsArray of objects

An array of images to be associated with this comment. Note: currently only one image is supported. Note: This API does not resize or rehost images. The image should be appropriately sized and will be served from the provided URL.

curl -i -X POST \
  'https://partner.socialchorus.com/v2/feed/posts/{content_id}/comments/{comment_id}/{post_number}/replies' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "body": "This a reply to a comment.",
    "author_alias_id": 1,
    "attachments": [
      {
        "url": "string",
        "alt_text": "string"
      }
    ]
  }'

Responses

Success

Bodyapplication/json
dataArray of objects(Feed.Comment.Resource)required
Response
{ "data": [ { … } ] }